Bug 7459 - after upgrade to samba 3.4 and 3.5 lose ability to control duplex for normal domain user
after upgrade to samba 3.4 and 3.5 lose ability to control duplex for normal ...
Status: NEW
Product: Samba 3.5
Classification: Unclassified
Component: Printing
x64 Linux
: P3 major
: ---
Assigned To: Guenther Deschner
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2010-05-26 16:44 UTC by Alessandro Bono
Modified: 2010-12-08 09:27 UTC (History)
1 user (show)

See Also:
asn: review+

v3-5-test patch (2.32 KB, patch)
2010-06-16 04:52 UTC, Guenther Deschner
gd: review? (asn)

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Bono 2010-05-26 16:44:45 UTC

I upgrade a server from samba 3.3.9 to 3.5.3 but users not present in Print Operators group can't use duplex options, same problem with 3.4
Print Operators has write permission on [print] share and SePrintOperatorPrivilege right

server is a xen vm with ubuntu hardy 64bit
clients are windows xp pro 32bit and vista pro 64bit
printer is a Minolta di251 with driver from official site

by now I have added all users on Print Operators group but it's not a good solution

tell me if you need other info
Comment 1 Guenther Deschner 2010-06-08 05:20:13 UTC
What do you mean with "can't use", are they not visible, not selectable, don't store ?

Please describe exactly the steps to reproduce.

Comment 2 Alessandro Bono 2010-06-15 08:06:42 UTC
Hi Guenther

duplex setting is not selectable for user because duplex unit result not installed, to reproduce install driver 


and on server add "duplex unit" to the "available option" on last tab (peripheral options)
with 3.3 means in duplex ability for all users, with 3.5 this informationm is lost

I tried to install driver to a clean 3.5.3 but upload driver fails and on samba log I found this message

  solidworks ( connect to service print$ initially as user root (uid=0, gid=0) (pid 13581)
[2010/06/15 14:43:02.227000,  0] lib/fault.c:46(fault_report)
[2010/06/15 14:43:02.227067,  0] lib/fault.c:47(fault_report)
  INTERNAL ERROR: Signal 11 in pid 13581 (3.5.3)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2010/06/15 14:43:02.227092,  0] lib/fault.c:49(fault_report)
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2010/06/15 14:43:02.227109,  0] lib/fault.c:50(fault_report)
[2010/06/15 14:43:02.227125,  0] lib/util.c:1465(smb_panic)
  PANIC (pid 13581): internal error
[2010/06/15 14:43:02.302396,  0] lib/util.c:1569(log_stack_trace)
  BACKTRACE: 29 stack frames:
   #0 smbd(log_stack_trace+0x1a) [0x7f294657ec9a]
   #1 smbd(smb_panic+0x1f) [0x7f294657ed5f]
   #2 smbd(+0x37364d) [0x7f294656e64d]
   #3 /lib/libc.so.6(+0x33af0) [0x7f2943625af0]
   #4 /lib/libc.so.6(+0x84aea) [0x7f2943676aea]
   #5 smbd(+0x3b7ec5) [0x7f29465b2ec5]
   #6 smbd(clean_up_driver_struct+0x55) [0x7f29465b3045]
   #7 smbd(_spoolss_AddPrinterDriver+0xc8) [0x7f29464c1ee8]
   #8 smbd(_spoolss_AddPrinterDriverEx+0x30) [0x7f29464c2440]
   #9 smbd(+0x2d7cd6) [0x7f29464d2cd6]
   #10 smbd(+0x314b42) [0x7f294650fb42]
   #11 smbd(api_pipe_request+0x190) [0x7f2946510270]
   #12 smbd(+0x30e4de) [0x7f29465094de]
   #13 smbd(np_write_send+0x588) [0x7f2946509ab8]
   #14 smbd(+0x118839) [0x7f2946313839]
   #15 smbd(+0x118acb) [0x7f2946313acb]
   #16 smbd(reply_trans+0x642) [0x7f2946314902]
   #17 smbd(+0x17a877) [0x7f2946375877]
   #18 smbd(+0x17ac17) [0x7f2946375c17]
   #19 smbd(+0x17b16d) [0x7f294637616d]
   #20 smbd(run_events+0x1b2) [0x7f294658e742]
   #21 smbd(smbd_process+0x750) [0x7f2946374e50]
   #22 smbd(+0x67f38e) [0x7f294687a38e]
   #23 smbd(run_events+0x1b2) [0x7f294658e742]
   #24 smbd(+0x3939f1) [0x7f294658e9f1]
   #25 smbd(_tevent_loop_once+0x90) [0x7f294658edd0]
   #26 smbd(main+0xb03) [0x7f294687b073]
   #27 /lib/libc.so.6(__libc_start_main+0xfd) [0x7f2943610c4d]
   #28 smbd(+0xfcce9) [0x7f29462f7ce9]
[2010/06/15 14:43:02.302599,  0] lib/util.c:1470(smb_panic)
  smb_panic(): calling panic action [/usr/share/samba/panic-action 13581]
[2010/06/15 14:43:02.334847,  0] lib/util.c:1478(smb_panic)
  smb_panic(): action returned status 0
[2010/06/15 14:43:02.335111,  0] lib/fault.c:326(dump_core)
  dumping core in /var/log/samba/cores/smbd
[2010/06/15 14:43:02.781618,  1] smbd/service.c:1069(make_connection_snum)
  solidworks ( connect to service print$ initially as user root (uid=0, gid=0) (pid 13585)
[2010/06/15 14:43:06.493030,  1] smbd/service.c:1250(close_cnum)
  solidworks ( closed connection to service print$

btw with 3.3.x I can create a default configuration but client not receive this information

thanks for your support
Comment 3 Guenther Deschner 2010-06-16 04:52:17 UTC
Created attachment 5792 [details]
v3-5-test patch

for the driver re-install, can you check if that patch fixes it ?
Comment 4 Andreas Schneider 2010-06-16 04:58:55 UTC
The patch looks fine.
Comment 5 Guenther Deschner 2010-06-16 05:32:42 UTC
Karolin, please pick for v3-5-test and leave bug open.
Comment 6 Karolin Seeger 2010-06-16 08:54:19 UTC
(In reply to comment #5)
> Karolin, please pick for v3-5-test and leave bug open.

Pushed to v3-5-test.
Reassigning to Günther.
Comment 7 Alessandro Bono 2010-06-16 11:26:02 UTC
I can confirm crash fixed with patch applied

Comment 8 Marc Muehlfeld 2010-12-08 09:27:10 UTC
This sounds similar to the problem I have since 3.4 till now: https://bugzilla.samba.org/show_bug.cgi?id=7679

Configured driver options are not available for normal users any more. But in 3.5.6 (the last version I had tested) it wasn't fixed.